package admin

import (
	"github.com/kataras/iris/v12"
	"main/jwtSet"
)

func SysSettings(party iris.Party) {
	party.Get("/", jwtSet.Jwt.Serve, checkAdmin, getSysSettings)
	party.Post("/", jwtSet.Jwt.Serve, checkAdmin, addSysSettings)
	party.Delete("/", jwtSet.Jwt.Serve, checkAdmin, delSettings)
	party.Put("/", jwtSet.Jwt.Serve, checkAdmin, updateSettings)
}
